diff --git a/contrib/pg_buffercache/Makefile b/contrib/pg_buffercache/Makefile
index 2ab8c65b65..d74b3e853c 100644
--- a/contrib/pg_buffercache/Makefile
+++ b/contrib/pg_buffercache/Makefile
@@ -10,6 +10,8 @@ DATA = pg_buffercache--1.2.sql pg_buffercache--1.2--1.3.sql \
 	pg_buffercache--1.1--1.2.sql pg_buffercache--1.0--1.1.sql
 PGFILEDESC = "pg_buffercache - monitoring of shared buffer cache in real-time"
 
+REGRESS = pg_buffercache
+
 ifdef USE_PGXS
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
diff --git a/contrib/pg_buffercache/expected/pg_buffercache.out b/contrib/pg_buffercache/expected/pg_buffercache.out
new file mode 100644
index 0000000000..5e19c02368
--- /dev/null
+++ b/contrib/pg_buffercache/expected/pg_buffercache.out
@@ -0,0 +1,10 @@
+CREATE EXTENSION pg_buffercache;
+select count(*) = (select setting
+                    from pg_show_all_settings()
+                    where name = 'shared_buffers')::bigint
+from pg_buffercache;
+ ?column? 
+----------
+ t
+(1 row)
+
diff --git a/contrib/pg_buffercache/sql/pg_buffercache.sql b/contrib/pg_buffercache/sql/pg_buffercache.sql
new file mode 100644
index 0000000000..f44700bd9e
--- /dev/null
+++ b/contrib/pg_buffercache/sql/pg_buffercache.sql
@@ -0,0 +1,7 @@
+CREATE EXTENSION pg_buffercache;
+
+select count(*) = (select setting
+                    from pg_show_all_settings()
+                    where name = 'shared_buffers')::bigint
+from pg_buffercache;
+
